package com.goafanti.order.bo;

import com.goafanti.common.utils.excel.Excel;

import java.math.BigDecimal;


/**
 * 订单列表
 * @author Administrator
 *
 */
public class OrderListBo {

	@Excel(name = "订单编号")
	private String orderNo;
	@Excel(name = "合同编号")
	private String contractNo;
	@Excel(name = "客户名称")
	private String buyerName;
	@Excel(name = "订单部门")
	private String departmentName;
	@Excel(name = "订单负责人")
	private String sellerName;
	@Excel(name = "签单日期")
	private String signTime;
	@Excel(name = "下单日期")
	private String createTime;
	@Excel(name = "签单金额(万元)",scale = 6)
	private BigDecimal signTotalAmount;
	@Excel(name = "已开票金额(万元)",scale = 6)
	private BigDecimal invoiceAmount;
	@Excel(name = "已收金额(万元)",scale = 6)
	private BigDecimal actuallyTotalAmount;
	@Excel(name = "应收款(万元)",scale = 6)
	private BigDecimal orderReceivables;
	@Excel(name = "欠款(万元)",scale = 6)
	private BigDecimal  orderArrears;
	@Excel(name = "总成本(万元)",scale = 6)
	private BigDecimal  costAmount;
	@Excel(name = "已付成本(万元)" ,scale = 6)
	private BigDecimal paymentAmount;
	@Excel(name = "专利成本(万元)" ,scale = 6)
	private BigDecimal patentCost;
	@Excel(name = "专利成本实付(万元)" ,scale = 6)
	private BigDecimal patentCostActual;
	@Excel(name = "软著成本(万元)" ,scale = 6)
	private BigDecimal softCost;
	@Excel(name = "软著成本实付(万元)" ,scale = 6)
	private BigDecimal softCostActual;
	@Excel(name = "审计成本(万元)" ,scale = 6)
	private BigDecimal auditCost;
	@Excel(name = "审计成本实付(万元)" ,scale = 6)
	private BigDecimal auditCostActual;
	@Excel(name = "其他成本(万元)" ,scale = 6)
	private BigDecimal otherCost;
	@Excel(name = "其他成本实付(万元)" ,scale = 6)
	private BigDecimal otherCostActual;
	@Excel(name = "预计毛利(万元)" ,scale = 6)
	private BigDecimal expectProfit;
	@Excel(name = "实际毛利(万元)" ,scale = 6)

	private BigDecimal actualProfit;
	@Excel(name = "最近收款(万元)",scale = 6)
	private BigDecimal finalReceivables;
	@Excel(name = "最近收款时间")
	private String finalReceivablesTime;
	@Excel(name="结算状态",readConverterExp = "0=首付待付请，1=尾款待付清，2=已付请，3=部分退款，4=全部退款")
	private Integer liquidationStatus;
	@Excel(name="订单流程",enumsName = "com.goafanti.order.enums.ProcessStatus")
	private Integer processStatus;
	@Excel(name="是否特批" ,readConverterExp = "0=非特批，1=待审核，2=通过，3=驳回")
	private Integer approval;
	@Excel(name = "特批类型")
	private String type;
	/** 订单类型 **/
	private Integer orderType;
	@Excel(name="会员" ,readConverterExp = "0=否，1=是")
	private Integer projectType;
	@Excel(name = "订单类型")
	private String serviceType;
	@Excel(name = "订单内容",width = 32)
	private String serviceProject;

	/** 合同首付金额 **/
	private BigDecimal signFirstPayment;

	/** 订单状态 **/
	private Integer orderStatus;


	/** 订单渠道 **/
	private Integer orderChannel;
	/** 营销员 **/
	private String salesmanName;
	/** 财务负责人 **/
	private String financeName;
	private String financeId;
	/** 技术员 **/
	private String technicianName;

	/** 订单阶段 **/
	private Integer orderStage;
	/** 项目阶段 **/
	private Integer projectStage;
	@Excel(name="状态" ,readConverterExp = "0=正常，1=作废，2=变更")
	private Integer deleteSign;
	/** 卖方 **/
	private String buyerId;
	/** 卖方 **/
	private String sellerId;
	/** 变更状态 **/
	private Integer changeStatus;
	/** 可操作状态 **/
	private OperatorActive active;

	/** 搜索开始时间 **/
	private String startTime;
	/** 搜索结束时间 **/
	private String endTime;

	/** 收款公司id **/
	private String companyId;
	/** 收款公司名称 **/
	private String companyName;
	/** 部门编号*/
	private String deps;
	/** 外包*/
	private Integer outsource;
	/** 外包名称*/
	private String outsourceName;



	/** 结束最后收款 时间*/
	private String endFinalReceivablesTime;
	/** 开始最后收款 时间*/
	private String startFinalReceivablesTime;
	/** 外包金额*/
	private BigDecimal outsourceAmount;
	/** 筛选金额*/
	private Integer amountStatus;
	/** 驳回位置*/
	private Integer backStatus;

	@Excel(name="销售类型" ,readConverterExp = "0=电话新开发，1=电话自带资源，2=网络，3=渠道，4=转介绍，5=其他，6=高新复购，7=其他复购")
	private Integer salesType;
	@Excel(name="销售说明")
	private String other;
	private String examineName;


	private String departmentId;

	private Integer myExamine;


	private String typeExplain;

	/** 开始签单 时间*/
	private String startSignTime;
	/** 结束签单 时间*/
	private String endSignTime;

	public String getEndSignTime() {
		return endSignTime;
	}

	public void setEndSignTime(String endSignTime) {
		this.endSignTime = endSignTime;
	}

	public String getStartSignTime() {
		return startSignTime;
	}

	public void setStartSignTime(String startSignTime) {
		this.startSignTime = startSignTime;
	}

	public String getTypeExplain() {
		return typeExplain;
	}

	public void setTypeExplain(String typeExplain) {
		this.typeExplain = typeExplain;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Integer getMyExamine() {
		return myExamine;
	}

	public void setMyExamine(Integer myExamine) {
		this.myExamine = myExamine;
	}

	public String getExamineName() {
		return examineName;
	}

	public void setExamineName(String examineName) {
		this.examineName = examineName;
	}

	public String getServiceType() {
		return serviceType;
	}

	public void setServiceType(String serviceType) {
		this.serviceType = serviceType;
	}

	public String getServiceProject() {
		return serviceProject;
	}

	public void setServiceProject(String serviceProject) {
		this.serviceProject = serviceProject;
	}

	public String getDepartmentId() {
		return departmentId;
	}

	public void setDepartmentId(String departmentId) {
		this.departmentId = departmentId;
	}

	public BigDecimal getPatentCost() {
		return patentCost;
	}

	public void setPatentCost(BigDecimal patentCost) {
		this.patentCost = patentCost;
	}

	public BigDecimal getPatentCostActual() {
		return patentCostActual;
	}

	public void setPatentCostActual(BigDecimal patentCostActual) {
		this.patentCostActual = patentCostActual;
	}

	public BigDecimal getSoftCost() {
		return softCost;
	}

	public void setSoftCost(BigDecimal softCost) {
		this.softCost = softCost;
	}

	public BigDecimal getSoftCostActual() {
		return softCostActual;
	}

	public void setSoftCostActual(BigDecimal softCostActual) {
		this.softCostActual = softCostActual;
	}

	public BigDecimal getAuditCost() {
		return auditCost;
	}

	public void setAuditCost(BigDecimal auditCost) {
		this.auditCost = auditCost;
	}

	public BigDecimal getAuditCostActual() {
		return auditCostActual;
	}

	public void setAuditCostActual(BigDecimal auditCostActual) {
		this.auditCostActual = auditCostActual;
	}

	public BigDecimal getOtherCost() {
		return otherCost;
	}

	public void setOtherCost(BigDecimal otherCost) {
		this.otherCost = otherCost;
	}

	public BigDecimal getOtherCostActual() {
		return otherCostActual;
	}

	public void setOtherCostActual(BigDecimal otherCostActual) {
		this.otherCostActual = otherCostActual;
	}

	public BigDecimal getExpectProfit() {
		return expectProfit;
	}

	public void setExpectProfit(BigDecimal expectProfit) {
		this.expectProfit = expectProfit;
	}

	public BigDecimal getActualProfit() {
		return actualProfit;
	}

	public void setActualProfit(BigDecimal actualProfit) {
		this.actualProfit = actualProfit;
	}

	public String getDeps() {
		return deps;
	}

	public void setDeps(String deps) {
		this.deps = deps;
	}

	public Integer getSalesType() {
		return salesType;
	}

	public void setSalesType(Integer salesType) {
		this.salesType = salesType;
	}

	public String getOther() {
		return other;
	}

	public void setOther(String other) {
		this.other = other;
	}

	public BigDecimal getFinalReceivables() {
		return finalReceivables;
	}
	public void setFinalReceivables(BigDecimal finalReceivables) {
		this.finalReceivables = finalReceivables;
	}
	public String getFinalReceivablesTime() {
		return finalReceivablesTime;
	}
	public void setFinalReceivablesTime(String finalReceivablesTime) {
		this.finalReceivablesTime = finalReceivablesTime;
	}
	public BigDecimal getInvoiceAmount() {
		return invoiceAmount;
	}
	public void setInvoiceAmount(BigDecimal invoiceAmount) {
		this.invoiceAmount = invoiceAmount;
	}
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	public Integer getOrderType() {
		return orderType;
	}
	public void setOrderType(Integer orderType) {
		this.orderType = orderType;
	}
	public Integer getProjectType() {
		return projectType;
	}
	public void setProjectType(Integer projectType) {
		this.projectType = projectType;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getSignTime() {
		return signTime;
	}
	public void setSignTime(String signTime) {
		this.signTime = signTime;
	}
	public BigDecimal getSignFirstPayment() {
		return signFirstPayment;
	}
	public void setSignFirstPayment(BigDecimal signFirstPayment) {
		this.signFirstPayment = signFirstPayment;
	}
	public BigDecimal getSignTotalAmount() {
		return signTotalAmount;
	}
	public void setSignTotalAmount(BigDecimal signTotalAmount) {
		this.signTotalAmount = signTotalAmount;
	}
	public BigDecimal getActuallyTotalAmount() {
		return actuallyTotalAmount;
	}
	public void setActuallyTotalAmount(BigDecimal actuallyTotalAmount) {
		this.actuallyTotalAmount = actuallyTotalAmount;
	}
	public String getBuyerName() {
		return buyerName;
	}
	public void setBuyerName(String buyerName) {
		this.buyerName = buyerName;
	}
	public String getSellerName() {
		return sellerName;
	}
	public void setSellerName(String sellerName) {
		this.sellerName = sellerName;
	}
	public Integer getOrderStatus() {
		return orderStatus;
	}
	public void setOrderStatus(Integer orderStatus) {
		this.orderStatus = orderStatus;
	}
	public Integer getLiquidationStatus() {
		return liquidationStatus;
	}
	public void setLiquidationStatus(Integer liquidationStatus) {
		this.liquidationStatus = liquidationStatus;
	}
	public Integer getApproval() {
		return approval;
	}
	public void setApproval(Integer approval) {
		this.approval = approval;
	}
	public Integer getOrderChannel() {
		return orderChannel;
	}
	public void setOrderChannel(Integer orderChannel) {
		this.orderChannel = orderChannel;
	}
	public String getSalesmanName() {
		return salesmanName;
	}
	public void setSalesmanName(String salesmanName) {
		this.salesmanName = salesmanName;
	}
	public String getFinanceName() {
		return financeName;
	}
	public void setFinanceName(String financeName) {
		this.financeName = financeName;
	}
	public String getTechnicianName() {
		return technicianName;
	}
	public void setTechnicianName(String technicianName) {
		this.technicianName = technicianName;
	}
	public String getDepartmentName() {
		return departmentName;
	}
	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}
	public Integer getOrderStage() {
		return orderStage;
	}
	public void setOrderStage(Integer orderStage) {
		this.orderStage = orderStage;
	}
	public Integer getProjectStage() {
		return projectStage;
	}
	public void setProjectStage(Integer projectStage) {
		this.projectStage = projectStage;
	}
	public Integer getDeleteSign() {
		return deleteSign;
	}
	public void setDeleteSign(Integer deleteSign) {
		this.deleteSign = deleteSign;
	}
	public String getBuyerId() {
		return buyerId;
	}
	public void setBuyerId(String buyerId) {
		this.buyerId = buyerId;
	}
	public String getSellerId() {
		return sellerId;
	}
	public void setSellerId(String sellerId) {
		this.sellerId = sellerId;
	}
	public Integer getChangeStatus() {
		return changeStatus;
	}
	public void setChangeStatus(Integer changeStatus) {
		this.changeStatus = changeStatus;
	}
	public OperatorActive getActive() {
		return active;
	}
	public void setActive(OperatorActive active) {
		this.active = active;
	}
	public String getFinanceId() {
		return financeId;
	}
	public void setFinanceId(String financeId) {
		this.financeId = financeId;
	}
	public Integer getProcessStatus() {
		return processStatus;
	}
	public void setProcessStatus(Integer processStatus) {
		this.processStatus = processStatus;
	}
	public String getStartTime() {
		return startTime;
	}
	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}
	public String getEndTime() {
		return endTime;
	}
	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}
	public String getCompanyId() {
		return companyId;
	}
	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	public String getCompanyName() {
		if (companyName==null) {
			return "湖南科德信息咨询有限公司";
		}
		return companyName;
	}
	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}
	public String getContractNo() {
		return contractNo;
	}
	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}

	public Integer getOutsource() {
		return outsource;
	}
	public void setOutsource(Integer outsource) {
		this.outsource = outsource;
	}
	public String getOutsourceName() {
		return outsourceName;
	}
	public void setOutsourceName(String outsourceName) {
		this.outsourceName = outsourceName;
	}
	public String getEndFinalReceivablesTime() {
		return endFinalReceivablesTime;
	}
	public void setEndFinalReceivablesTime(String endFinalReceivablesTime) {
		this.endFinalReceivablesTime = endFinalReceivablesTime;
	}
	public String getStartFinalReceivablesTime() {
		return startFinalReceivablesTime;
	}
	public void setStartFinalReceivablesTime(String startFinalReceivablesTime) {
		this.startFinalReceivablesTime = startFinalReceivablesTime;
	}
	public BigDecimal getOutsourceAmount() {
		return outsourceAmount;
	}
	public void setOutsourceAmount(BigDecimal outsourceAmount) {
		this.outsourceAmount = outsourceAmount;
	}
	public Integer getAmountStatus() {
		return amountStatus;
	}
	public void setAmountStatus(Integer amountStatus) {
		this.amountStatus = amountStatus;
	}
	public Integer getBackStatus() {
		return backStatus;
	}
	public void setBackStatus(Integer backStatus) {
		this.backStatus = backStatus;
	}
	public BigDecimal getOrderReceivables() {
		return orderReceivables;
	}
	public void setOrderReceivables(BigDecimal orderReceivables) {
		this.orderReceivables = orderReceivables;
	}
	public BigDecimal getOrderArrears() {
		return orderArrears;
	}
	public void setOrderArrears(BigDecimal orderArrears) {
		this.orderArrears = orderArrears;
	}
	public BigDecimal getCostAmount() {
		return costAmount;
	}
	public void setCostAmount(BigDecimal costAmount) {
		this.costAmount = costAmount;
	}
	public BigDecimal getPaymentAmount() {
		return paymentAmount;
	}
	public void setPaymentAmount(BigDecimal paymentAmount) {
		this.paymentAmount = paymentAmount;
	}
}
